gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-grid5k] 185/189: update taler-perf


From: gnunet
Subject: [taler-grid5k] 185/189: update taler-perf
Date: Thu, 28 Apr 2022 10:49:15 +0200

This is an automated email from the git hooks/post-receive script.

marco-boss pushed a commit to branch master
in repository grid5k.

commit cf28bd25cf3b6fa8fd5d92311849ba1f769a6b5c
Author: Boss Marco <bossm8@bfh.ch>
AuthorDate: Thu Apr 21 18:56:10 2022 +0200

    update taler-perf
---
 experiment/README.md              |  7 ++++--
 experiment/env                    |  1 +
 experiment/scripts/benchmark.sh   |  2 ++
 experiment/scripts/data-backup.sh |  1 +
 experiment/scripts/ping.sh        |  2 ++
 experiment/scripts/taler-perf.sh  | 47 ++++++++++++++++++++++++++++++++-------
 6 files changed, 50 insertions(+), 10 deletions(-)

diff --git a/experiment/README.md b/experiment/README.md
index 8b6caab..79c5277 100644
--- a/experiment/README.md
+++ b/experiment/README.md
@@ -70,10 +70,13 @@ It _should_ work, if not just (RE)run ESpec, it happened 
sometimes that bind was
 
 ## Rebuild Taler Binaries
 
-On each experiment start the `setup` script checks if variables like 
`GNUNET_COMMIT_SHA` are set,
-if they are (.env), the corresponding binary is rebuilt from source with the 
specified commit.
+On each experiment start the `setup` script checks if variables like 
`GNUNET_COMMIT_SHA` are set (`.env`),
+if they are, the corresponding binary is rebuilt from source with the 
specified commit.
 For more info please read `scripts/setup.sh` or `scripts/install.sh`
 
+If you forgot to set the variables, then `taler-perf rebuild` can do the work 
in a running experiment. But
+processes would have to be restarted afterwards.
+
 ## Actions in a running Experiment
 
 ### Start wallets
diff --git a/experiment/env b/experiment/env
index ab41fc1..d72f84b 100644
--- a/experiment/env
+++ b/experiment/env
@@ -143,6 +143,7 @@ REMOVE_PREVIOUS_EXPERIMENT_DATA=true
 # If *_COMMIT_SHA is not empty the corresponding
 # binary is rebuilt from source on the specified commit
 # with *_CFLAGS before starting the experiment.
+# NOTE: if you missed it, you can use `taler-perf rebuild` in a running 
experiment
 LIBMICROHTTPD_COMMIT_SHA=""
     LIBMICROHTTPD_CFLAGS=""
        
diff --git a/experiment/scripts/benchmark.sh b/experiment/scripts/benchmark.sh
index 0802aee..587e360 100755
--- a/experiment/scripts/benchmark.sh
+++ b/experiment/scripts/benchmark.sh
@@ -1,6 +1,8 @@
 #!/bin/bash
 INFO_MSG="
 Start a wallet benchmark loop with 100'000 iterations
+
+Normally started by taler-wallet@.service
 "
 OPT_MSG="
 <N>: 
diff --git a/experiment/scripts/data-backup.sh 
b/experiment/scripts/data-backup.sh
index 7a229c5..08cd9aa 100755
--- a/experiment/scripts/data-backup.sh
+++ b/experiment/scripts/data-backup.sh
@@ -6,6 +6,7 @@
 # (setup.sh) hopefully persistent on the Grid5000 NFS
 
 # Usage: ./data-backup.sh
+# Used by taler-databackup.service
 
 set -eu
 
diff --git a/experiment/scripts/ping.sh b/experiment/scripts/ping.sh
index 421df25..eae0d57 100755
--- a/experiment/scripts/ping.sh
+++ b/experiment/scripts/ping.sh
@@ -2,6 +2,8 @@
 INFO_MSG="
 Measure and log round-trip-times between experiment nodes
 Logs to promtail directly
+
+Used by taler-netdelay.service
 "
 OPT_MSG="
 <DEST>:
diff --git a/experiment/scripts/taler-perf.sh b/experiment/scripts/taler-perf.sh
index 2120225..aec9b68 100644
--- a/experiment/scripts/taler-perf.sh
+++ b/experiment/scripts/taler-perf.sh
@@ -1,4 +1,8 @@
 #!/bin/bash
+# taler-perf utility script
+# Start and stop processes
+#
+# Usage: ./taler-perf.sh
 set -e
 
 source ~/scripts/helpers.sh
@@ -81,7 +85,7 @@ function start_processes() {
       ;;
     *)
       echo "Unknown argument '$1' for function ${FUNCNAME[0]}"
-      echo "Usage: start [wallet|exchange] NUM"
+      echo "Usage: start [wallet|exchange|wirewatch] NUM"
       ;;
   esac
 }
@@ -99,7 +103,7 @@ function stop_processes() {
       ;;
     *)
       echo "Unknown argument '$1' for function ${FUNCNAME[0]}"
-      echo "Usage: stop [wallet] NUM"
+      echo "Usage: stop [wallet|exchange|wirewatch] NUM"
       ;;
    esac
 }
@@ -107,14 +111,30 @@ function stop_processes() {
 function rebuild() {
   while [[ $# -gt 0 ]]; do
     case "$1" in
+      --libmicrohttpd|-m)
+        LIBMICROHTTPD_COMMIT_SHA=$2
+        shift 2
+        ;;
+      --libmicro-cflags|-lc)
+       LIBMICROHTTPD_CFLAGS=$2
+       shift 2
+       ;;
       --exchange|-e)
         EXCHANGE_COMMIT_SHA=$2
         shift 2
         ;;
+      --exch-cflags|-ec)
+       EXCHANGE_CFLAGS=$2
+       shift 2
+       ;;
       --gnunet|-g)
         GNUNET_COMMIT_SHA=$2
         shift 2
         ;;
+      --gnunet-cflags|-gc)
+       GNUNET_CFLAGS=$2
+       shift 2
+       ;;
       --wallet|-w)
         WALLET_COMMIT_SHA=$2
         shift 2
@@ -123,18 +143,27 @@ function rebuild() {
         MERCHANT_COMMIT_SHA=$2
         shift 2
         ;;
+      --merch-cflags|-mc)
+       MERCHANT_CFLAGS=$2
+       shift 2
+       ;;
       *)
         echo "Unkown argument $1"
-        echo "Usage rebuilt [target]"
+        echo "Usage rebuilt [target] [cflags]"
         echo "Targets: "
         echo "-e|--exchange <commit-sha>"
         echo "-g|--gnunet <commit-sha>"
         echo "-w|--wallet <commit-sha>"
         echo "-m|--merchant <commit-sha>"
+       echo "Cflags: "
+       echo "-lc|--libmicro-cflags <cflags>"
+       echo "-gc|--gnunet-cflags <cflags>"
+       echo "-ec|--exch-cflags <cflags>"
+       echo "-mc|--merch-cflags <cflags>"
         exit 1
     esac
   done
-  # TODO
+  exec ~/scripts/install.sh
 }
 
 case "$1" in
@@ -146,14 +175,16 @@ case "$1" in
     shift
     stop_processes $@
     ;;
-  update)
-    shift
-    update_processes $@
-    ;;
   rebuild)
     shift
     rebuild
     ;;
+  *)
+    echo "Usage:"
+    echo "start|stop|rebuild"
+    echo "just run a command without an argument to get help"
+    exit 1
+    ;;
 esac
 
 exit 0

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]